javax.faces.context

## Class FlashFactory

- java.lang.Object
- - javax.faces.context.FlashFactory

- All Implemented Interfaces:
    FacesWrapper<FlashFactory>

      public abstract class FlashFactory
      extends Object
      implements FacesWrapper<FlashFactory>

  FlashFactory is a factory object that creates (if needed) and returns `Flash` instances. Implementations of JavaServer Faces must provide at least a default implementation of `Flash`.

  There must be one `FlashFactory` instance per web application that is utilizing JavaServer Faces. This instance can be acquired, in a portable manner, by calling:

         FlashFactory factory = (FlashFactory)
           FactoryFinder.getFactory(FactoryFinder.FLASH_FACTORY);

  The common way to access the flash instance from Java code is still via `ExternalContext.getFlash()`. The common way to access the flash from Faces views is the implicit EL object "flash". The runtime must ensure that the `FlashFactory` is used to instantiate the flash.

  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlashFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Flash` | `getFlash(boolean create)` Create (if needed) and return a `Flash` instance for this web application.
    `FlashFactory` | `getWrapped()` If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlashFactory

          public FlashFactory()

  - ### Method Detail

    - #### getWrapped

          public FlashFactory getWrapped()

      If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped. A default implementation is provided that returns `null`.

      Specified by:
        `getWrapped` in interface `FacesWrapper<FlashFactory>`
      Since:
        2.2

    - #### getFlash

          public abstract Flash getFlash(boolean create)

      Create (if needed) and return a `Flash` instance for this web application.

      Parameters:
        `create` - `true` to create a new instance for this request if necessary; `false` to return `null` if there's no instance in the current `session`.
      Since:
        2.2

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.